Search and filter wallet pass notifications
curl --request GET \
--url https://api.ubpass.co/v1/wallet-pass/notifications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ubpass.co/v1/wallet-pass/notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ubpass.co/v1/wallet-pass/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "1f089d37-5ebe-6778-af59-99631cec7ab5",
"createdTime": "2025-09-04T21:09:36.027Z",
"updatedTime": "2025-09-04T21:11:01.734Z",
"createdBy": "1ef58ae6-40ac-6fd2-96af-45801844c4e2",
"updatedBy": "1ef58ae6-40ac-6fd2-96af-45801844c4e2",
"workspaceId": "1f089d29-6f9c-66c2-af59-99631cec7ab5",
"accountId": "1f089d29-6fa8-6a13-af59-99631cec7ab5",
"passSerialNumber": "1f09804f-d6c7-66ec-8db2-27a5651e1de2",
"notificationName": "VIP Member Update",
"notificationMessage": "Your VIP membership benefits have been updated! Check out the new exclusive offers.",
"status": "Published",
"scheduledTime": "2025-09-04T10:00:00.000Z",
"sentTime": "2025-09-04T10:00:15.123Z"
},
{
"id": "1f089d37-8a1b-4c2d-9e3f-123456789abc",
"createdTime": "2025-09-04T20:30:15.456Z",
"updatedTime": "2025-09-04T20:30:15.456Z",
"createdBy": "1ef58ae6-40ac-6fd2-96af-45801844c4e2",
"updatedBy": "1ef58ae6-40ac-6fd2-96af-45801844c4e2",
"workspaceId": "1f089d29-6f9c-66c2-af59-99631cec7ab5",
"accountId": "1f089d29-6fa8-6a13-af59-99631cec7ab5",
"passSerialNumber": "1f09804f-d6c7-66ec-8db2-27a5651e1de2",
"notificationName": "Special Offer Alert",
"notificationMessage": "Limited time offer! Get 20% off your next purchase with your VIP membership.",
"status": "Scheduled",
"scheduledTime": "2025-09-05T14:00:00.000Z",
"sentTime": null
}
],
"cursor": "1f089d37-8a1b-4c2d-9e3f-123456789abc",
"hasMore": true
}{
"txId": "1f098faa-8f33-6425-b4ff-533200846d35",
"timestamp": "24-09-2025 03:57:59",
"errorCode": "INVALID_INPUT",
"context": {
"limit": "must be between 1 and 20"
}
}{
"txId": "Root=1-68d3693c-26a3db2278c7668f5e086711",
"timestamp": "24-09-2025 03:45:00",
"errorCode": "UNAUTHORIZED",
"errorMessage": "UNAUTHORIZED."
}Passport - Push Notifications
Search and filter wallet pass notifications
Search and retrieve wallet pass notifications with optional filtering and pagination.
Features:
- Search notifications by name using keyword query (case-insensitive)
- Filter by notification status (Draft, Scheduled, Processing, Published, Failed)
- Filter by specific wallet pass serial numbers
- Pagination support with cursor-based navigation
- Option to include pass template data in response
- Option to include link click statistics
Pagination:
- Use
cursorparameter for next page navigation limitcontrols page size (default: 20, max: 20)- Response includes
itemsarray,cursor, andhasMorefields
Status Values:
Draft: Notification created but not yet ready for deliveryScheduled: Notification scheduled for future delivery (processed every 15 minutes)Processing: Notification currently being sent or sent immediately upon creationPublished: Notification successfully delivered to all recipientsFailed: Notification delivery failed due to errors
GET
/
wallet-pass
/
notifications
Search and filter wallet pass notifications
Authorizations
AccessTokenAPIKey
Bearer token authentication
Headers
Workspace ID to perform the operation in. If not provided, system will use the first one assigned to the user
Pattern:
^[a-zA-Z0-9-_]+$Query Parameters
Search keyword to filter notifications by name (case-insensitive)
Maximum string length:
255Pagination cursor for fetching the next set of results. Use the 'cursor' value from the previous response.
Number of notifications to return per page (1-20, max 20)
Required range:
1 <= x <= 20Filter by specific wallet pass serial numbers
Pattern:
^[a-zA-Z0-9-_]+$Filter notifications by status. Multiple values allowed.
Available options:
Draft, Scheduled, Processing, Published, Failed Filter by notification ID list